<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: TrajectoryGenerator2DCircle.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_trajectory_generator2_d_circle_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">TrajectoryGenerator2DCircle.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_trajectory_generator2_d_circle_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef TRAJECTORYGENERATOR2DCIRCLE_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define TRAJECTORYGENERATOR2DCIRCLE_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>cvmatrix;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>Vector2D;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    }</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    }</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>TrajectoryGenerator2DCircle_impl;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html">   46</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html">TrajectoryGenerator2DCircle</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a570906834d8ab68fda40e8829be0df4a">TrajectoryGenerator2DCircle</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a>* position,std::string name);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8d7b9503d7047f8194cc719aed6a16d0">~TrajectoryGenerator2DCircle</a>();</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#abcae88c1a0d392ddf2de399158a6f618">StartTraj</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector2_d.html">core::Vector2D</a> &amp;start_pos,<span class="keywordtype">float</span> nb_lap=-1);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8b82467d7e945375968382283436bd7a">StopTraj</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a15ef6736db05be2db9643f4cca9e8a2b">FinishTraj</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a7a262bee3d9719d6c455c302aacd61a2">SetCenter</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector2_d.html">core::Vector2D</a> &amp;value);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a5607f264d29e0fc53648ff4d5b3d58d5">SetCenterSpeed</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_vector2_d.html">core::Vector2D</a> &amp;value);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a6748d0e4f698aab1aa0f65f6af83d4d7">Update</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time);</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a5fc642d3f52a46bd5ca424bf050e01db">GetPosition</a>(<a class="code" href="classframework_1_1core_1_1_vector2_d.html">core::Vector2D</a> &amp;point) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#abd3f0a38d9cf541731206a99eee12643">GetSpeed</a>(<a class="code" href="classframework_1_1core_1_1_vector2_d.html">core::Vector2D</a> &amp;point) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *<a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#ab05bf82449f1928b876fbb82fbc74c12">Matrix</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            <span class="keywordtype">bool</span> <a class="code" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a132ef43ef8ede4dba24b05b5f81fff4d">IsRunning</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            TrajectoryGenerator2DCircle_impl* pimpl_;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    };</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#endif // TRAJECTORYGENERATOR2DCIRCLE_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1cvmatrix_html"><div class="ttname"><a href="classframework_1_1core_1_1cvmatrix.html">framework::core::cvmatrix</a></div><div class="ttdoc">Class defining a matrix of kind CvMat. </div><div class="ttdef"><b>Definition:</b> cvmatrix.h:28</div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_abd3f0a38d9cf541731206a99eee12643"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#abd3f0a38d9cf541731206a99eee12643">framework::filter::TrajectoryGenerator2DCircle::GetSpeed</a></div><div class="ttdeci">void GetSpeed(core::Vector2D &amp;point) const </div><div class="ttdoc">Speed. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a8d7b9503d7047f8194cc719aed6a16d0"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8d7b9503d7047f8194cc719aed6a16d0">framework::filter::TrajectoryGenerator2DCircle::~TrajectoryGenerator2DCircle</a></div><div class="ttdeci">~TrajectoryGenerator2DCircle()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a15ef6736db05be2db9643f4cca9e8a2b"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a15ef6736db05be2db9643f4cca9e8a2b">framework::filter::TrajectoryGenerator2DCircle::FinishTraj</a></div><div class="ttdeci">void FinishTraj(void)</div><div class="ttdoc">Finish trajectory. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a570906834d8ab68fda40e8829be0df4a"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a570906834d8ab68fda40e8829be0df4a">framework::filter::TrajectoryGenerator2DCircle::TrajectoryGenerator2DCircle</a></div><div class="ttdeci">TrajectoryGenerator2DCircle(const gui::LayoutPosition *position, std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a132ef43ef8ede4dba24b05b5f81fff4d"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a132ef43ef8ede4dba24b05b5f81fff4d">framework::filter::TrajectoryGenerator2DCircle::IsRunning</a></div><div class="ttdeci">bool IsRunning(void) const </div><div class="ttdoc">Is trajectory running? </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_abcae88c1a0d392ddf2de399158a6f618"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#abcae88c1a0d392ddf2de399158a6f618">framework::filter::TrajectoryGenerator2DCircle::StartTraj</a></div><div class="ttdeci">void StartTraj(const core::Vector2D &amp;start_pos, float nb_lap=-1)</div><div class="ttdoc">Start trajectory. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a8b82467d7e945375968382283436bd7a"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a8b82467d7e945375968382283436bd7a">framework::filter::TrajectoryGenerator2DCircle::StopTraj</a></div><div class="ttdeci">void StopTraj(void)</div><div class="ttdoc">Stop trajectory. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a6748d0e4f698aab1aa0f65f6af83d4d7"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a6748d0e4f698aab1aa0f65f6af83d4d7">framework::filter::TrajectoryGenerator2DCircle::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update using provided datas. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_vector2_d_html"><div class="ttname"><a href="classframework_1_1core_1_1_vector2_d.html">framework::core::Vector2D</a></div><div class="ttdoc">Class defining a 2D vector. </div><div class="ttdef"><b>Definition:</b> Vector2D.h:18</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html">framework::filter::TrajectoryGenerator2DCircle</a></div><div class="ttdoc">Class generating a circle trajectory in 2D. </div><div class="ttdef"><b>Definition:</b> TrajectoryGenerator2DCircle.h:46</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a5fc642d3f52a46bd5ca424bf050e01db"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a5fc642d3f52a46bd5ca424bf050e01db">framework::filter::TrajectoryGenerator2DCircle::GetPosition</a></div><div class="ttdeci">void GetPosition(core::Vector2D &amp;point) const </div><div class="ttdoc">Position. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a7a262bee3d9719d6c455c302aacd61a2"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a7a262bee3d9719d6c455c302aacd61a2">framework::filter::TrajectoryGenerator2DCircle::SetCenter</a></div><div class="ttdeci">void SetCenter(const core::Vector2D &amp;value)</div><div class="ttdoc">Set center position. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_ab05bf82449f1928b876fbb82fbc74c12"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#ab05bf82449f1928b876fbb82fbc74c12">framework::filter::TrajectoryGenerator2DCircle::Matrix</a></div><div class="ttdeci">core::cvmatrix * Matrix(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_trajectory_generator2_d_circle_html_a5607f264d29e0fc53648ff4d5b3d58d5"><div class="ttname"><a href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a5607f264d29e0fc53648ff4d5b3d58d5">framework::filter::TrajectoryGenerator2DCircle::SetCenterSpeed</a></div><div class="ttdeci">void SetCenterSpeed(const core::Vector2D &amp;value)</div><div class="ttdoc">Set center speed. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_trajectory_generator2_d_circle_8h.html">TrajectoryGenerator2DCircle.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
